Bug 88157 - HIG: Bold headings in dialogs are frequently misused
Summary: HIG: Bold headings in dialogs are frequently misused
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: difficultyInteresting, easyHack, skillDesign, topicCleanup, topicUI
Depends on:
Blocks:
 
Reported: 2015-01-07 13:21 UTC by Adolfo Jayme
Modified: 2017-02-14 08:57 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adolfo Jayme 2015-01-07 13:21:11 UTC
Bold labels are being used in some dialogs to mark a single UI control, which is incorrect. These are meant to separate groups of controls only. This misuse leads to wasted space and confusing hierarchy.
Comment 1 Adolfo Jayme 2015-01-12 01:06:29 UTC
Making this an EasyHack.
Comment 2 Commit Notification 2015-01-14 20:46:33 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8c291bb13335fc73785eab2bba81b37a5161d6b4

fdo#88157 Remove misused frames from 4 of n dialogs

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2015-01-15 11:49:30 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3ffd5549a2dbcb4b5b4946d9e084681f7ae2786d

Revert "fdo#88157 Remove misused frames from 4 of n dialogs"

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Robinson Tryon (qubit) 2015-12-14 07:01:19 UTC Comment hidden (obsolete)
Comment 5 Björn Michaelsen 2016-01-26 17:31:03 UTC
removing skillHIG keyword. There is no such thing at https://wiki.documentfoundation.org/Development/Easy_Hacks/lists/by_Required_Skill and having a "skill*" keyword makes the easyHack not even appear on that page even in "uncategorized".
Comment 6 Robinson Tryon (qubit) 2016-02-18 14:52:03 UTC Comment hidden (obsolete)
Comment 7 jani 2016-04-22 06:54:09 UTC
Seems solved, if not please add a description what is missing (with code pointer)